org.apache.commons.ssl.asn1

## Class DefiniteLengthInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.ssl.asn1.LimitedInputStream
    - - org.apache.commons.ssl.asn1.DefiniteLengthInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

     class DefiniteLengthInputStream
    extends LimitedInputStream

### Field Summary

Fields
`private int` `_length`

### Fields inherited from class org.apache.commons.ssl.asn1.LimitedInputStream

`_in`

### Constructor Summary

Constructors
Constructor and Description
`DefiniteLengthInputStream(java.io.InputStream in, int length)`

### Method Summary

Methods
`int` `read()`
`int` `read(byte[] buf, int off, int len)`
`(package private) byte[]` `toByteArray()`

### Methods inherited from class org.apache.commons.ssl.asn1.LimitedInputStream

`getUnderlyingStream, setParentEofDetect`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _length

    private int _length

### Constructor Detail

#### DefiniteLengthInputStream

    DefiniteLengthInputStream(java.io.InputStream in,
                             int length)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] buf,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### toByteArray

    byte[] toByteArray()
                 throws java.io.IOException

Throws:
  `java.io.IOException`